%define major 0
%define libname %mklibname ofa %{major}
%define develname %mklibname ofa -d
%define staticdevelname %mklibname ofa -d -s

Summary:	Open Fingerprint Architecture library
Name:		libofa
Version:	0.9.3
Release:	%mkrel 12
License:	GPLv2
Group:		System/Libraries
URL:		http://code.google.com/p/musicip-libofa/
Source0:	http://musicip-libofa.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		libofa-build-fix.patch
Patch1:		libofa-gcc43.diff
Patch2:		libofa-0.9.3-pkgconfig-drop-expat.patch
BuildRequires:	fftw3-devel
BuildRequires:	libcurl-devel
BuildRequires:	libexpat-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Currently, MusicDNS and the Open Fingerprint Architecture are being used to:

	* identify duplicate tracks, even when the metadata is different, MusicIP
	  identifies the master recording.
    * fix metadata
	* find out more about tracks by connecting to MusicBrainz- the worlds
	  largest music metabase community

%package -n	%{libname}
Summary:        Open Fingerprint Architecture library
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Currently, MusicDNS and the Open Fingerprint Architecture are being used to:

	* identify duplicate tracks, even when the metadata is different, MusicIP
	  identifies the master recording.
    * fix metadata
	* find out more about tracks by connecting to MusicBrainz- the worlds
	  largest music metabase community

%package -n	%{develname}
Summary:	Files needed for developing applications which use litunepimp
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname ofa 0 -d

%description -n	%{develname}
The %{name}-devel package includes the header files and .so libraries
necessary for developing libofa enabled tagging applications.

If you are going to develop libofa enabled tagging 
applications you should install %{name}-devel. You'll also need 
to have the %{name} package installed.

%package -n	%{staticdevelname}
Summary:        Static libraries for libtunepimp
Group:          Development/C
Provides:       %{name}-static-devel = %{version}-%{release}
Requires:       %{develname} = %{version}-%{release}
Obsoletes:	%mklibname ofa 0 -d -s

%description -n	%{staticdevelname}
The %{name}-devel package includes the static libraries
necessary for developing libofa enabled tagging
applications using the %{name} library.

If you are going to develop libofa enabled tagging applications,
you should install %{name}-devel.  You'll also need to have the %{name}
package installed.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion < 200900
%post -p /sbin/ldconfig -n %{libname}
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig -n %{libname}
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS README COPYING
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/libofa.pc
%{_libdir}/*.so
%{_libdir}/*.la

%files -n %{staticdevelname}
%defattr(-,root,root)
%{_libdir}/*.a


%changelog
* Mon Feb 08 2010 Funda Wang <fwang@mandriva.org> 0.9.3-12mdv2010.1
+ Revision: 502215
- apply fedora patch instead

* Mon Feb 08 2010 Funda Wang <fwang@mandriva.org> 0.9.3-11mdv2010.1
+ Revision: 502088
- expat is not need for libofa

* Sun Jan 17 2010 Funda Wang <fwang@mandriva.org> 0.9.3-10mdv2010.1
+ Revision: 492817
- rebuild
- rediff patch

* Wed Aug 12 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.9.3-9mdv2010.0
+ Revision: 415583
- fix compilation with gcc 4.4

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-8mdv2009.0
+ Revision: 229894
- added a gcc43 patch
- new url

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-6mdv2008.1
+ Revision: 178983
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jul 21 2007 Funda Wang <fwang@mandriva.org> 0.9.3-4mdv2008.0
+ Revision: 54121
- fix static devel package requires

* Sat Jul 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.3-3mdv2008.0
+ Revision: 52068
- new devel library policy
- spec file clean
- Import libofa



* Mon Jul 31 2006 Helio Castro <helio@mandriva.com> 0.5.0-2mdv2007.0
- Put right requires for fftw3-devel

* Sat Jul 22 2006 Emmanuel Andry <eandry@mandriva.org> 0.5.0-1mdv2007.0
- Initial Mandriva release
